local hcTk = HCToolkit
local encounterStartFns = {
    [2052] = hcTk.MaidenEncounterStart
}
local encounterEndFns = {
    [2052] = hcTk.MaidenEncounterEnd
}
local combatLogFns = {
    [2052] = hcTk.MaidenCombatLog
}

function hcTk.EncounterInit()
    hcTk.Encounter = {}
    hcTk.EncounterId = nil
end

function hcTk.RouteEncounterStart(encounterId)
    if (encounterStartFns[encounterId] ~= nil) then
        encounterStartFns[encounterId]()
    end
end

function hcTk.RouteEncounterEnd(encounterId)
    if (encounterEndFns[encounterId] ~= nil) then
        encounterEndFns[encounterId]()
    end
end

function hcTk.RouteCombatLog(encounterId, ...)
    if (combatLogFns[encounterId] ~= nil) then
        combatLogFns[encounterId](...)
    end
end